﻿@model IEnumerable<SSCMvc.Models.IeltsResult_View>
@using SSCMvc.Models
@using SSCMvc.Webutil;
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    CommonUtil cu = new CommonUtil();
    int cont = Model.Count();
    string V1 = "";
    string V2 = "";
    try
    {
        V1 = cu.GetDateFormat(ViewBag.fdt);
        V2 = cu.GetDateFormat(ViewBag.tdt);

    }
    catch (Exception)
    {
    }
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)

    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        deleterecord("Tb_IELTSResult");

        $(document).ready(function () {


            $("#txtfdate").datepicker();
            $("#txttdate").datepicker();
            // $("#ieltsscore").val($("#hiddenieltsscore").val());

            $("#pagng").css('width', '80px');

            $("#txtpageno").css('width', '100px');

            $("#stdtype").css('width', '200px');
            $("#ieltsscore").css('width', '112px');

            $("#stdtype").val($("#hiddenstutype").val());

            $("#stdtype").css("width", "112px");

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });
        });

        function Search() {
            var fdatee = $("#txtfdate").val();
            var tdatee = $("#txttdate").val();
            var sname = $("#txtsname").val();
            var examtype = $("#drpExmBody").val();
            var fdate = fdatee;
            var tdate = tdatee;
            var ReferNo = $("#txtReferNo").val();
            return window.location.href = "/Tb_IELTSResult/MultipleResult?fdt=" + fdate + "&tdt=" + tdate +  "&ReferNo=" + ReferNo + "&sname=" + sname+ "&examtype=" + examtype;
        }

    </script>
    <script>
        function Submitdata()
        {
            var Total = 0;
            var i;
            for (i = 1; i <= @cont; i++) {
                var cn =  $("#Ovr_" + i).val();
                if (parseFloat(cn)>0) {
                    Total++;
                }
            }
            $("#CountSt").html(Total);

            $("#basic").modal('show');


        }
    </script>
    @*<script type="text/javascript">

        $(function () {
            $(".table").tablesorter({ widthFixed: true })
            .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>*@
    <script>
        /*-------------------bands caluculation starts here------------------*/
     

        function calbands(id) {
            var value1 = $("#Lst_"+id).val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#Wrt_"+id).val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#Spk_"+id).val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#Read_"+id).val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);
            var ovr1 = CalcScore(sum);

            var course = $("#cors_"+id).val();
            if (course == "PTE") {
                $("#Ovr_"+id).val(Math.round(ovr1));
            }
            else {
                $("#Ovr_"+id).val(ovr);

            }
        }

        function CalcScore(sum) {
            var res = parseFloat(sum) / 4;
            return res
        }

        /*--------------------------bands calculation ends here-----------------------*/
    </script>
}
@{ SSCWebDBEntities1 db = new SSCWebDBEntities1();}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        List Of IELTS / PTE Result
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        <fieldset style="padding:10px;">
            <legend>Search Here  :</legend>
            <div class="well">

                <table align="center" width="76%">
                    <tr>
                        <td align="left">
                            Ref. No
                        </td>

                        <td align="left">
                            Name
                        </td>
                        <td>
                            Exam Type
                        </td>

                        <td align="left">
                            From Date
                        </td>
                        <td align="left">
                            To Date
                        </td>
                    </tr>

                    <tr>
                        <td align="left">
                            <input type="text" id="txtReferNo" style="width:50px" value="@ViewBag.ReferNo" />
                        </td>
                        <td align="left">
                            <input type="text" id="txtsname" style="width:80px" value="@ViewBag.sname" />
                        </td>
                        <td>
                            <select id="drpExmBody" style="width: 60px">
                                <option value="All">All</option>
                                <option value="BC">BC</option>
                                <option value="IDP">IDP</option>
                                <option value="PTE">PTE</option>
                            </select>

                        </td>

                        <td align="left">
                            <input type="date" id="txtfdate" style="width:100px" value="@V1" required="required" />
                        </td>
                        <td align="left">
                            <input type="date" id="txttdate" style="width:100px" value="@V2" required="required" />
                        </td>

                        <td align="left" valign="top">
                            <input type="submit" id="btnSearch" value="Search" class="btn btn-primary" onclick="Search();" />
                        </td>
                    </tr>

                </table>

            </div>
        </fieldset>
    </div>
</div>



@using (Html.BeginForm("MultipleResult", "Tb_IELTSResult", null, FormMethod.Post, new { @id = "formMine", @class = "horizontal-form" }))
{
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="right" width="100%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="width:97%">
            <p><b>Note:</b> Press Tab after each input for Overall Score </p>
            <table class="table">
                <thead>
                    <tr>
                       
                        <th>
                            Student Type
                        </th>
                        <th>
                            Ref No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>Passport <br />No</th>
                        <th>
                            Cate-<br />gory
                        </th>
                        <th>
                            IELTS / PTE Test Date
                        </th>
                        <th>
                            Exam Type
                        </th>
                        <th width="20px">
                            Listening
                        </th>
                        <th width="20px">
                            Reading
                        </th>
                        <th width="20px">
                            Writing
                        </th>
                        <th width="20px">
                            Speaking
                        </th>
                       
                        <th width="20px">
                            Over-<br />all Score
                        </th>
                       
                      
                    </tr>
                </thead>
                <tbody>
                    @{
                        int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                           
                            <td>
                                @*@item.studenttypeDisply*@
                                @{
                                    string booktype = db.St_BookType.Where(x => x.Id == item.BookingType).Select(x => x.BookingType).FirstOrDefault();
                                }
                               
                                @booktype
                            </td>
                            <td>
                               @item.RollNo
                            </td>
                            <td>
                                @item.FirstName @item.LastName
                            </td>
                            <td>
                                @item.Passport
                            </td>
                            <td>
                                @item.Category
                            </td>
                         
                            <td>
                                @{

                                    var testdate = string.Format("{0:dd MMM,yyyy}", item.Testdate);
                                }
                                @testdate
                            </td>
                            <td>
                                @item.ExamBody
                            </td>
                            <td>
                                <input type="text" id="Lst_@i" name="Lst" style="width:50px" value="@item.LBand" onblur="calbands(@i)" class="form-control" />
                                <input type="hidden" id="cors_@i" name="cors" style="width:50px" value="@item.CourseId" class="form-control" />
                            </td>
                            <td>
                                <input type="text" id="Read_@i" name="Read" style="width:50px" value="@item.RBand"  onblur="calbands(@i)" class="form-control" />
                            </td>
                            <td>
                                <input type="text" id="Wrt_@i" name="Wrt" style="width:50px"  value="@item.WBand"  onblur="calbands(@i)" class="form-control" />
                            </td>
                            <td>
                                <input type="text" id="Spk_@i" name="Spk" style="width:50px"  value="@item.SBand"  onblur="calbands(@i)" class="form-control" />
                            </td>
                            <td>
                                <input type="text" id="Ovr_@i" name="Ovr" style="width:50px"  value="@item.Overall"  class="form-control" />
                                <input type="hidden" id="id" name="Id" value="@item.Id" class="form-control" />
                                @*@item.Overall*@
                            </td>
                        </tr>
                                    }
                </tbody>
            </table>
        </div>
        <table width="100%" align="center">
            <tr>
                <td align="center">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
        @if (Model.Count() > 0)
        {
            <table width="100%" align="left">
                <tr>
                    <td align="center">
                        <input type="button" onclick="Submitdata()" class="btn btn-primary" value="Submit" />
                    </td>
                </tr>
            </table>
        }
      
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Add IELTS Follow Up" style="width: 556px">
        </div>
    </div>
</div>
<div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">

            </div>
            <div class="modal-body" >
                <h3>Are You Sure You want to submit <span id="CountSt"></span> Student's Result</h3>
                @*<br />
                <h4><b>Note :</b> Ensure that All the Mandatory fields are filled. </h4>*@
            </div>
            <div class="modal-footer">
                <input type="submit" value="Save" class="btn btn-primary" id="btnsave" />
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

            </div>

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
                                    }


